Bug 1284942 - Review Request: nodejs-lex-parser - A parser for lexical grammars used by jison
Review Request: nodejs-lex-parser - A parser for lexical grammars used by jison
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1284945
  Show dependency treegraph
 
Reported: 2015-11-24 09:00 EST by Jared Smith
Modified: 2015-12-20 13:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-20 13:20:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-11-24 09:00:06 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-lex-parser/nodejs-lex-parser.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-lex-parser/nodejs-lex-parser-0.1.4-1.fc24.src.rpm
Description: A parser for lexical grammars used by jison
Fedora Account System Username: jsmith
Comment 1 Piotr Popieluch 2015-11-24 09:14:18 EST
This module is also generated from Jison... , see build section in makefile: https://github.com/zaach/lex-parser/blob/master/Makefile#L7-L9

I think it is ok to ship generated to do the bootstrapping, but building from source needs to be enabled when Jison is packaged
Comment 2 Piotr Popieluch 2015-11-24 14:31:40 EST
I've added bootstrapping and building from source for second pass:

Spec URL: https://piotrp.fedorapeople.org/nodejs-lex-parser.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-lex-parser-0.1.4-1.fc23.src.rpm
Comment 3 Tom Hughes 2015-11-24 14:45:00 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 11 files have
     unknown license. Detailed output of licensecheck in /home/tom/1284942
     -nodejs-lex-parser/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-lex-parser-0.1.4-1.fc24.noarch.rpm
          nodejs-lex-parser-0.1.4-1.fc24.src.rpm
nodejs-lex-parser.noarch: W: spelling-error Summary(en_US) jison -> bison
nodejs-lex-parser.noarch: W: spelling-error %description -l en_US jison -> bison
nodejs-lex-parser.noarch: W: only-non-binary-in-usr-lib
nodejs-lex-parser.src: W: spelling-error Summary(en_US) jison -> bison
nodejs-lex-parser.src: W: spelling-error %description -l en_US jison -> bison
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-lex-parser.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-lex-parser (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-lex-parser:
    nodejs-lex-parser
    npm(lex-parser)



Source checksums
----------------
https://registry.npmjs.org/lex-parser/-/lex-parser-0.1.4.tgz :
  CHECKSUM(SHA256) this package     : 90f0d37d5b85828bfe7c5de7bd3ff1749f112328466ad00f4b15c7d116c54428
  CHECKSUM(SHA256) upstream package : 90f0d37d5b85828bfe7c5de7bd3ff1749f112328466ad00f4b15c7d116c54428
https://github.com/zaach/lex-parser/archive/f75c7db2e2a176f618ccd354e1897ed73d8fdb40.tar.gz#/lex-parser-f75c7db.tar.gz :
  CHECKSUM(SHA256) this package     : 3b732bdafcff93f3fa84eb0d6d5d8e34513dc074ce84eb0dc7d82dd8d850d8f6
  CHECKSUM(SHA256) upstream package : 3b732bdafcff93f3fa84eb0d6d5d8e34513dc074ce84eb0dc7d82dd8d850d8f6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1284942
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Tom Hughes 2015-11-24 14:46:53 EST
Review is based on Piotr's version. Issue:

* Should use %{__nodejs} to run node in %build and %check
* Needs BR on npm(test) to run tests [not yet packaged]
Comment 6 Piotr Popieluch 2015-11-27 06:08:43 EST
- enabled tests, nodejs-test is now in rawhide and there are buildroot overrides for el7, f23, f22 so we can build this with tests enabled now.
- added some comments about the circular dependency code regeneration.


Spec URL: https://piotrp.fedorapeople.org/nodejs-lex-parser.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-lex-parser-0.1.4-1.fc23.src.rpm
Comment 7 Piotr Popieluch 2015-12-09 06:57:00 EST
Jared,

Are you ok with my changes so Tom can finish the review? We  now have broken deps in rawhide because jison-lex is already pushed without this.
Comment 8 Jared Smith 2015-12-09 09:11:07 EST
Yes, I am -- I didn't know that you were waiting on my approval.  I'm perfectly fine with the changes.
Comment 9 Piotr Popieluch 2015-12-09 11:56:44 EST
Well, I wasn't, but think Tom was, he is usually really fast with responding.
Comment 10 Tom Hughes 2015-12-09 12:45:08 EST
Well as the review was in Jared's name I was expecting him to in some way adopt Piotr's changes so that I could then approve it.

On the basis that what's going to be imported is Piotr's last version I'm happy to approve.
Comment 11 Fedora Update System 2015-12-16 18:30:03 EST
nodejs-lex-parser-0.1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-daf60f2001
Comment 12 Fedora Update System 2015-12-16 18:30:48 EST
nodejs-lex-parser-0.1.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d100b82ad6
Comment 13 Fedora Update System 2015-12-17 05:27:15 EST
nodejs-lex-parser-0.1.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-lex-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-daf60f2001
Comment 14 Fedora Update System 2015-12-17 05:27:32 EST
nodejs-lex-parser-0.1.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-lex-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d100b82ad6
Comment 15 Piotr Popieluch 2015-12-20 13:20:51 EST
Built in rawhide, closing to unblock other review requests.

Note You need to log in before you can comment on or make changes to this bug.